Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditorToolBar.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditorToolBar.java	(revision 527)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditorToolBar.java	(revision 528)
@@ -40,10 +40,10 @@
 	 * 
 	 * @param parent
 	 * @param style
-	 * @param toolbar_local_id
+	 * @param toolbarLocalId
 	 * @param resultEditorPart
 	 */
-	public TXMEditorToolBar(Composite parent, int style, String toolbar_local_id, TXMEditorPart resultEditorPart) {
+	public TXMEditorToolBar(Composite parent, int style, String toolbarLocalId, TXMEditorPart resultEditorPart) {
 		super(parent, style);
 
 		this.editorPart = resultEditorPart;
@@ -51,7 +51,7 @@
 		// permit to contribute via plugin.xml menu extension
 		ToolBarManager manager = new ToolBarManager(this);
 		IMenuService menuService = (IMenuService) this.editorPart.getSite().getService(IMenuService.class);
-		menuService.populateContributionManager(manager, "toolbar:" + toolbar_local_id); //$NON-NLS-1$
+		menuService.populateContributionManager(manager, "toolbar:" + toolbarLocalId); //$NON-NLS-1$
 	}
 
 	@Override
@@ -91,7 +91,7 @@
 	 * @param iconFilePath
 	 * @return
 	 */
-	public Group installGroup(String groupTitle, String buttonToolTip, String iconFilePath)	{
+	public Group installGroup(String groupTitle, String buttonToolTip, String iconFilePath, boolean showGroup)	{
 
 		if (groups.containsKey(groupTitle)) {
 			return groups.get(groupTitle);
@@ -117,15 +117,20 @@
 		// add finally a button to the toolbar to show/hide the Group
 		final ToolItem showParameters = new ToolItem(this, SWT.CHECK | SWT.LEFT);
 		
-		if (iconFilePath != null)
+		if (iconFilePath != null)	{
 			showParameters.setImage(IImageKeys.getImage(iconFilePath));
-		else // if no icon specified, show the group title in the toolitem
+		}
+		// if no icon specified, show the group title in the toolitem
+		else	{
 			showParameters.setText(groupTitle);
+		}
 		
-		if (buttonToolTip != null)
+		if (buttonToolTip != null)	{
 			showParameters.setToolTipText(buttonToolTip);
+		}
 		
-		showParameters.setSelection(false);
+		showParameters.setSelection(showGroup);
+		this.setVisible(group, showGroup);
 		
 		showParameters.addSelectionListener(new SelectionListener() {
 			
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/corpora/CorporaView.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/corpora/CorporaView.java	(revision 527)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/corpora/CorporaView.java	(revision 528)
@@ -234,11 +234,11 @@
 				
 				StatusLine.setMessage(mess);
 				// FIXME: Debug:
-				//					System.err.println("CorporaView.createPartControl(...).new SelectionListener() {...}.widgetSelected(): ********************************************************************************");
-				//					System.err.println("CorporaView.createPartControl(...).new SelectionListener() {...}.widgetSelected(): selected object = " + selectedItem);
-				//					System.err.println("CorporaView.createPartControl(...).new SelectionListener() {...}.widgetSelected(): selection full path name = " + ((TXMResult)selectedItem).getFullPathSimpleName() + " - " + ((TXMResult)selectedItem).getName());
-				//					System.err.println("CorporaView.createPartControl(...).new SelectionListener() {...}.widgetSelected(): direct children count = " + ((TXMResult)selectedItem).getResults().size());
-				//					System.err.println("CorporaView.createPartControl(...).new SelectionListener() {...}.widgetSelected(): direct visible children count = " + ((TXMResult)selectedItem).getResults(true).size());
+				System.err.println("CorporaView.createPartControl(...).new SelectionListener() {...}.widgetSelected(): ********************************************************************************");
+				System.err.println("CorporaView.createPartControl(...).new SelectionListener() {...}.widgetSelected(): selected object = " + selectedItem);
+				System.err.println("CorporaView.createPartControl(...).new SelectionListener() {...}.widgetSelected(): selection full path name = " + ((TXMResult)selectedItem).getFullPathSimpleName() + " - " + ((TXMResult)selectedItem).getName());
+				System.err.println("CorporaView.createPartControl(...).new SelectionListener() {...}.widgetSelected(): direct children count = " + ((TXMResult)selectedItem).getResults().size());
+				System.err.println("CorporaView.createPartControl(...).new SelectionListener() {...}.widgetSelected(): direct visible children count = " + ((TXMResult)selectedItem).getResults(true).size());
 			}
 
 			@Override
@@ -450,7 +450,7 @@
 	}
 
 	/**
-	 * Refresh.
+	 * Refreshes the view and the tree.
 	 *
 	 * @param corporaView the corpora view
 	 */
@@ -470,9 +470,9 @@
 			public void run() {
 
 				//FIXME: Debug
-				//				System.err.println("CorporaView.refreshObject(...).new Runnable() {...}.run(): refreshing node " + result);
-				//				System.err.println("CorporaView.refreshObject(...).new Runnable() {...}.run(): direct parent " + result.getParent());
-				//				System.err.println("CorporaView.refreshObject(...).new Runnable() {...}.run(): path " + result.getFullPathSimpleName());
+//				System.err.println("CorporaView.refreshObject(...).new Runnable() {...}.run(): refreshing node " + result);
+//				System.err.println("CorporaView.refreshObject(...).new Runnable() {...}.run(): direct parent " + result.getParent());
+//				System.err.println("CorporaView.refreshObject(...).new Runnable() {...}.run(): path " + result.getFullPathSimpleName());
 
 				CorporaView corporaView = getInstance();
 				corporaView.treeViewer.refresh(); // FIXME: without that the refresh sometimes doesn't work, need to investigate
@@ -521,7 +521,7 @@
 			Log.warning("The "+managedDoubleClickClasses+" class is already managed by the Corpora view.");
 			return;
 		}
-		//TODO: this won't works if the ComputeXXX commands is not called -> we can't do lazy load
+		//FIXME: this won't works if the ComputeXXX commands is not called -> we can't do lazy load
 		managedDoubleClickClasses.put(resultDataClass, commandClass);
 	}
 }
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/RestartTXM.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/RestartTXM.java	(revision 527)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/RestartTXM.java	(revision 528)
@@ -37,7 +37,6 @@
 import org.txm.Toolbox;
 import org.txm.rcp.JobsTimer;
 import org.txm.rcp.RCPMessages;
-import org.txm.rcp.TxmPreferences;
 import org.txm.rcp.utils.JobHandler;
 import org.txm.rcp.views.SummaryView;
 import org.txm.rcp.views.fileexplorer.MacroExplorer;
Index: tmp/org.txm.wordcloud.rcp/src/org/txm/wordcloud/rcp/editors/WordCloudEditor.java
===================================================================
--- tmp/org.txm.wordcloud.rcp/src/org/txm/wordcloud/rcp/editors/WordCloudEditor.java	(revision 527)
+++ tmp/org.txm.wordcloud.rcp/src/org/txm/wordcloud/rcp/editors/WordCloudEditor.java	(revision 528)
@@ -119,7 +119,7 @@
 	@Override
 	public void computeResult() {
 		try {
-			((TXMResult) this.getResultData()).compute();
+			((TXMResult) this.getResultData()).compute(false);
 		} catch (Exception e) {
 			System.out.println("Error: "+e.getLocalizedMessage());
 			Log.printStackTrace(e);
Index: tmp/org.txm.core/src/java/org/txm/functions/CommandsAPI.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/functions/CommandsAPI.java	(revision 527)
+++ tmp/org.txm.core/src/java/org/txm/functions/CommandsAPI.java	(revision 528)
@@ -96,8 +96,8 @@
 				System.out.println("Computing "+command.cmd+"...");
 				result = command.clazz.newInstance();
 				result.setParameters(parameters);
-				if (result.validateParameters())
-					result.compute();
+				if (result.canCompute())
+					result.compute(false);
 				//FIXME: debug
 				System.out.println(result);
 			} else {
Index: tmp/org.txm.core/src/java/org/txm/core/preferences/___CorpusScope.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/core/preferences/___CorpusScope.java	(revision 0)
+++ tmp/org.txm.core/src/java/org/txm/core/preferences/___CorpusScope.java	(revision 528)
@@ -0,0 +1,113 @@
+/**
+ * 
+ */
+package org.txm.core.preferences;
+
+import java.io.File;
+import java.util.HashMap;
+
+import org.eclipse.core.internal.preferences.AbstractScope;
+import org.eclipse.core.resources.ResourcesPlugin;
+import org.eclipse.core.runtime.IPath;
+import org.eclipse.core.runtime.Path;
+import org.eclipse.core.runtime.preferences.ConfigurationScope;
+import org.osgi.service.prefs.BackingStoreException;
+import org.osgi.service.prefs.Preferences;
+
+/**
+ * Tests to save the results and corpus parameters in the binary corpus path.
+ * Temporary, in future we'll need to use ProjectScope + IProject + Eclipse Workspace. 
+ * @author sjacquot
+ *
+ */
+//FIXME: Temporary, in future we'll need to use ProjectScope + IProject + Eclipse Workspace.
+public class ___CorpusScope extends AbstractScope {
+
+	/**
+	 * Project scopes.
+	 */
+	public static HashMap<String, ___CorpusScope> projectScopes = new HashMap<String, ___CorpusScope>(); 
+		
+	/**
+	 * Scope name.
+	 */
+	protected String name;
+	
+	/**
+	 * Location.
+	 */
+	protected IPath location;
+			
+	/**
+	 * 
+	 * @param name
+	 * @param location
+	 */
+	public ___CorpusScope(String name, File location) {
+		super();
+		this.name = name;
+		this.location = new Path(location.getAbsolutePath() + "/");
+	}
+
+	/* (non-Javadoc)
+	 * @see org.eclipse.core.internal.preferences.AbstractScope#getName()
+	 */
+	@Override
+	public String getName() {
+		return this.name;
+	}
+
+	/* (non-Javadoc)
+	 * @see org.eclipse.core.internal.preferences.AbstractScope#getLocation()
+	 */
+	@Override
+	public IPath getLocation() {
+		return this.location;
+	}
+
+	
+	/**
+	 * 
+	 * @param scope
+	 */
+	@SuppressWarnings("restriction")
+	public static void addScope(___CorpusScope scope)	{
+		
+		projectScopes.put(scope.getName(), scope);
+		
+		Preferences prefs = scope.getNode("import"); 
+		prefs.put("test", "value");
+		System.err.println("CorpusScope.addScope(): " + prefs.absolutePath());
+		System.err.println("CorpusScope.addScope(): test = " + prefs.get("test", "default value"));
+		try {
+			//prefs.sync();
+			prefs.flush();
+		}
+		catch(BackingStoreException e) {
+			// TODO Auto-generated catch block
+			e.printStackTrace();
+		}
+		
+		System.err.println("CorpusScope.addScope(): default scope location: " + ConfigurationScope.INSTANCE.getLocation());
+		System.err.println("CorpusScope.addScope(): workspace location: " + ResourcesPlugin.getWorkspace().getRoot().getLocation().toString());
+		System.out.println("CorpusScope.addScope(): add scope " + scope.getName() + " - " + scope.getLocation());
+	}
+	
+	/**
+	 * 
+	 * @param scope
+	 */
+	public static void removeScope(String name)	{
+		projectScopes.remove(name);
+	}
+	
+	/**
+	 * 
+	 * @param name
+	 * @return
+	 */
+	public static ___CorpusScope getScope(String name)	{
+		return projectScopes.get(name);
+	}
+	
+}

Index: tmp/org.txm.core/src/java/org/txm/core/results/TXMResult.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/core/results/TXMResult.java	(revision 527)
+++ tmp/org.txm.core/src/java/org/txm/core/results/TXMResult.java	(revision 528)
@@ -20,7 +20,7 @@
 
 /**
  * Root class of all TXM results.
- * This class contains methods to get some different version of the name of the result and some additional computing information.
+ * This class contains methods to get some different versions of the name of the result and some additional computing information.
  * It also contains methods to manage a tree hierarchy of result nodes.
  * 
  * @author mdecorde
@@ -47,16 +47,7 @@
 	 */
 	protected boolean dirty = true;
 
-	public boolean isDirty() { return dirty;}
-	
 	/**
-	 * Mark the result has dirty so editors or others will know to recompute the TXMResult
-	 */
-	public void setDirty() {
-		dirty = true;
-	}
-
-	/**
 	 * The result Parent. should not be null except for roots TXMResult
 	 */
 	protected TXMResult parent;
@@ -78,7 +69,23 @@
 	 */
 	protected String preferencesNodeQualifier;
 
+	
 	/**
+	 * If set, allows the command to notify its progress.
+	 */
+	protected IProgressMonitor monitor;
+	/**
+	 * 
+	 */
+	private Semaphore progressSemaphore = new Semaphore(1);
+	
+	/**
+	 * This variable ensure the TXMResult class constructor has been called
+	 */
+	private boolean constructorCalled;
+	
+	
+	/**
 	 * Creates a new TXMResult, child of the specified parent.
 	 * @param parent
 	 */
@@ -86,31 +93,17 @@
 		this(parent, null);
 	}
 	
-	public boolean hasResults() {
-		return children.size() > 0;
-	}
 	
 	/**
-	 * 
+	 * Creates a new TXMResult, child of the specified parent.
 	 * @param parent
-	 * @return true this object is connected to the parent
-	 */
-	public boolean isUsingParent(TXMResult parent) {
-		if (this == parent) return true;
-		else if (this.parent == null) return false;
-		else return this.parent.isUsingParent(parent);
-	}
-
-	/**
-	 * 
-	 * @param parent
 	 * @param parameters
 	 */
 	public TXMResult(TXMResult parent, TXMParameters parameters) {
 
 		// FIXME: discuss about this method and validate it. Also discuss about a getInternalName() method that should also return an unique ID.
 		this.parent = parent;
-		this.uniqueID = this.getClass().getName() + '@' + ID_TIME_FORMAT.format(new Date(System.currentTimeMillis())) + "_" + UUID.randomUUID();
+		this.createUUID();
 
 		this.weight = 0;
 		this.visible = true;
@@ -126,12 +119,54 @@
 		//System.out.println("TXMResult.TXMResult(): default preferences node qualifier = " + this.preferencesNodeQualifier + ", class = " + getClass());
 	}
 
+
 	/**
+	 * Creates and stores an UUID dedicated to persistence for this result.
+	 */
+	protected void createUUID()	{
+		this.uniqueID = this.getClass().getName() + '@' + ID_TIME_FORMAT.format(new Date(System.currentTimeMillis())) + "_" + UUID.randomUUID();
+	}
+	
+	
+	public boolean hasResults() {
+		return children.size() > 0;
+	}
+	
+	/**
+	 * Gets the dirty states.
+	 * @return
+	 */
+	public boolean isDirty() {
+		return dirty;
+	}
+	
+	/**
+	 * Marks the result as dirty so editors or others will know the TXMResult needs to be recomputed.
+	 */
+	public void setDirty() {
+		dirty = true;
+	}
+
+
+	
+	
+	/**
+	 * 
+	 * @param parent
+	 * @return true this object is connected to the parent
+	 */
+	public boolean isUsingParent(TXMResult parent) {
+		if (this == parent) return true;
+		else if (this.parent == null) return false;
+		else return this.parent.isUsingParent(parent);
+	}
+
+	/**
 	 * Gets the preferences node qualifier of the result command.
 	 * @return
 	 */
 	public String getPreferencesNodeQualifier() {
-		return preferencesNodeQualifier;
+		return this.preferencesNodeQualifier;
 	}
 	
 	public String[] getParametersKeys() throws BackingStoreException {
@@ -571,7 +606,9 @@
 		TXMResult clone = null;
 		try {
 			clone = (TXMResult) super.clone();
+			clone.createUUID();
 			this.parent.addResult(clone);
+			TXMPreferences.cloneNode(this, clone);
 		}
 		catch(Exception e) {
 		}
@@ -608,7 +645,7 @@
 	 * 
 	 * @return true if parameters are all OK
 	 */
-	public abstract boolean validateParameters() throws Exception;
+	public abstract boolean canCompute() throws Exception;
 
 	public String getSimpleDetails() {
 		String mess = this.getDetails();
@@ -617,17 +654,6 @@
 		return this.toString();
 	}
 	
-	/**
-	 * if set, allows the command to notify its progress
-	 */
-	protected IProgressMonitor monitor;
-	
-	Semaphore progressSemaphore = new Semaphore(1);
-	/**
-	 * This variable ensure the TXMResult class constructor has been called
-	 */
-	private boolean constructorCalled;
-	
 	public void acquireSemaphore() {
 		try {
 			this.progressSemaphore.acquire();
@@ -638,18 +664,20 @@
 	
 	/**
 	 * Computes the result according to specified command parameters.
+	 * @param update TODO
+	 * @param parameters
 	 * 
-	 * @param parameters
 	 * @return
 	 */
-	public boolean compute() throws Exception {
-		return this.compute(null);
+	public boolean compute(boolean update) throws Exception {
+		return this.compute(false, null);
 	}
 	
 	/**
-	 * Computes the result according to stored command parameters.
+	 * Computes the result.
+	 * @param update TODO
+	 * @param watcher
 	 * 
-	 * @param watcher
 	 * @return
 	 * @throws Exception 
 	 * @throws InvalidCqpIdException 
@@ -657,16 +685,49 @@
 	 * @throws CqiClientException 
 	 * @throws IOException 
 	 */
-	public boolean compute(IProgressMonitor monitor) throws Exception {
-		return hasBeenConstructorCalled() && setCurrentMonitor(monitor) && validateParameters() &&  _compute() && saveParameters();
+	public boolean compute(boolean update, IProgressMonitor monitor) throws Exception {
+		
+		this.monitor = monitor;
+		
+		// FIXME: Debug
+		System.err.println("TXMResult.compute(): computing result of type " + this.getClass() + "...");
+
+		
+		if(!hasBeenConstructorCalled())	{
+			return false;
+		}
+
+		if(!canCompute())	{
+			return false;
+		}
+
+		if(!_compute(update))	{
+			return false;
+		}
+
+		if(!saveParameters())	{
+			return false;
+		}
+
+		this.dirty = false;
+
+		
+		// FIXME: Debug
+		System.err.println("TXMResult.compute(): computing done.");
+
+		
+		return true; 
 	}
 	
-	private boolean hasBeenConstructorCalled() {
-		// TODO Auto-generated method stub
-		return constructorCalled;
-	}
+	
 
-	public abstract boolean _compute() throws Exception;
+	/**
+	 * 
+	 * @param update TODO
+	 * @return
+	 * @throws Exception
+	 */
+	protected abstract boolean _compute(boolean update) throws Exception;
 	
 // //removed for now, waiting to see if used
 //	/**
@@ -675,13 +736,28 @@
 //	 * @param parameters
 //	 * @return
 //	 */
-//	public boolean compute(IProgressMonitor watcher, TXMParameters parameters) throws Exception {
+//	public boolean compute(IProgressMonitor monitor, TXMParameters parameters) throws Exception {
 //		this.parameters = parameters;
-//		return this.compute(watcher);
+//		return this.compute(monitor);
 //	}
 	
 	/**
 	 * 
+	 * @return
+	 */
+	private boolean hasBeenConstructorCalled() {
+		// TODO Auto-generated method stub
+		return constructorCalled;
+	}
+
+//	/**
+//	 * Copy the parameters from the local preference node if exists. Also fills the non existent parameters with the command default preferences.
+//	 * @return
+//	 */
+//	public abstract boolean loadParameters();
+	
+	/**
+	 * 
 	 * @return the array of extensions to show in the FileDialog SWT widget
 	 */
 	@Deprecated
@@ -701,14 +777,6 @@
 		return false;
 	}
 	
-	/**
-	 * 
-	 * @return the parent Object that contains this result
-	 */
-	@Deprecated
-	// FIXME: to remove when TXMResult2 will be fully implemented
-	//public abstract HasResults getHasResultsParent();
-	
 	public boolean tryAcquireSemaphore() {
 		return this.progressSemaphore.tryAcquire();
 	}
Index: tmp/org.txm.core/.classpath
===================================================================
--- tmp/org.txm.core/.classpath	(revision 527)
+++ tmp/org.txm.core/.classpath	(revision 528)
@@ -22,8 +22,6 @@
 	<classpathentry exported="true" kind="lib" path="lib/juniversalchardet-1.0.3.jar"/>
 	<classpathentry exported="true" kind="lib" path="lib/textcat-1.0.1.jar"/>
 	<classpathentry exported="true" kind="lib" path="lib/json-20090211.jar"/>
-	<classpathentry exported="true" kind="lib" path="lib/juh-3.2.1.jar" sourcepath="src/java"/>
-	<classpathentry exported="true" kind="lib" path="lib/jurt-3.2.1.jar"/>
 	<classpathentry exported="true" kind="lib" path="lib/ridl-3.2.1.jar"/>
 	<classpathentry exported="true" kind="lib" path="lib/unoil-3.2.1.jar"/>
 	<classpathentry exported="true" kind="lib" path="lib/jtidy-r938.jar"/>
Index: tmp/org.txm.core/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.core/META-INF/MANIFEST.MF	(revision 527)
+++ tmp/org.txm.core/META-INF/MANIFEST.MF	(revision 528)
@@ -9,7 +9,8 @@
  org.eclipse.core.runtime;bundle-version="3.10.0";visibility:=reexport,
  org.eclipse.osgi.util;bundle-version="3.2.0";visibility:=reexport,
  org.eclipse.core.net;visibility:=reexport,
- org.eclipse.osgi;visibility:=reexport
+ org.eclipse.osgi;visibility:=reexport,
+ org.eclipse.core.resources
 Bundle-RequiredExecutionEnvironment: JavaSE-1.6
 Export-Package: EDU.oswego.cs.dl.util.concurrent,
  EDU.oswego.cs.dl.util.concurrent.misc,
Index: tmp/org.txm.chartsengine.raster.rcp/src/org/txm/chartsengine/raster/rcp/RasterImageChartsComponentProvider.java
===================================================================
--- tmp/org.txm.chartsengine.raster.rcp/src/org/txm/chartsengine/raster/rcp/RasterImageChartsComponentProvider.java	(revision 527)
+++ tmp/org.txm.chartsengine.raster.rcp/src/org/txm/chartsengine/raster/rcp/RasterImageChartsComponentProvider.java	(revision 528)
@@ -12,12 +12,12 @@
 import org.eclipse.ui.PlatformUI;
 import org.txm.chartsengine.core.ChartCreator;
 import org.txm.chartsengine.core.ChartsEngine;
+import org.txm.chartsengine.core.results.ChartResult;
 import org.txm.chartsengine.raster.rcp.swt.RasterComposite;
 import org.txm.chartsengine.rcp.SWTChartsComponentsProvider;
 import org.txm.chartsengine.rcp.editors.ChartEditorInput;
 import org.txm.chartsengine.rcp.editors.ChartEditorPart;
 import org.txm.chartsengine.rcp.swt.ChartComposite;
-import org.txm.core.results.TXMResult;
 import org.txm.rcp.commands.OpenBrowser;
 import org.txm.rcp.editors.TXMWebBrowserEditor;
 import org.txm.rcp.utils.OpenURI;
@@ -43,8 +43,8 @@
 	
 
 	@Override
-	public ChartEditorPart createChartEditor(TXMResult result, String chartType) {
-		ChartCreator chartCreator = this.getChartsEngine().getChartCreator(result.getClass(), chartType);
+	public ChartEditorInput createChartEditorInput(ChartResult result) {
+		ChartCreator chartCreator = this.getChartsEngine().getChartCreator(result.getClass(), result.getChartType());
 		File file = chartCreator.createChartFile(result);
 		// FIXME : to temporary restore the PS and PDF formats : need to be recoded if we decide to keep the PDF and PS view else to remove if we decide to keep only the feature as export
 		if(this.chartsEngine.getOutputFormat() == ChartsEngine.OUTPUT_FORMAT_PS || this.chartsEngine.getOutputFormat() == ChartsEngine.OUTPUT_FORMAT_PDF)	{
@@ -54,30 +54,44 @@
 		
 		//return (ChartEditorPart) this.openFile(editorInputName, null, file);
 		
-		ChartEditorInput chartEditorInput = new ChartEditorInput(this, result, chartType, null);
-		this.createChart(chartEditorInput, result, chartType);
-		ChartEditorPart editor = new ChartEditorPart(this, chartEditorInput);
+		ChartEditorInput chartEditorInput = new ChartEditorInput(this, result);
+		this.createChartContainer(chartEditorInput);
+		//ChartEditorPart editor = new ChartEditorPart(this, chartEditorInput);
 		
 		//ChartEditorPart editor = new ChartEditorPart(this, editorInputName, resultData, preferencesNode, chartType, this.getChartsEngine().getChartCreator(resultData.getClass(), chartType).createChartFile(resultData, preferencesNode));
 		
 		// sets and updates the local preferences node qualifier from the result data
-		editor.getEditorInput().syncLocalPreferencesNode();
+		//editor.getEditorInput().syncLocalPreferencesNode();
 		
-		return editor;
+		return chartEditorInput;
 
 	}
 
 	@Override
-	public boolean createChart(ChartsEngine chartsEngine, ChartEditorInput chartEditorInput, TXMResult result, String chartType) {
-		ChartCreator chartCreator = chartsEngine.getChartCreator(result.getClass(), chartType);
-		if(chartCreator != null)	{
-			chartEditorInput.setChartContainer(chartCreator.createChartFile(result));
+	public boolean createChartContainer(ChartsEngine chartsEngine, ChartEditorInput chartEditorInput) {
+		
+		Object chart = chartEditorInput.getChart();
+		
+		if(chart != null)	{
+			chartEditorInput.setChartContainer(chart);
 			
 			// sets and updates the local preferences node qualifier from the result data
 			chartEditorInput.syncLocalPreferencesNode();
+
+			// FIXME: temporary solution
+			try {
+				chartEditorInput.getResult().compute(false);
+			}
+			catch(Exception e) {
+				// TODO Auto-generated catch block
+				e.printStackTrace();
+			}
+
 			
 			return true;
 		}
+		
+		
 		return false;
 	}
 
@@ -103,7 +117,8 @@
 		RasterComposite composite = new RasterComposite(chartEditor, parent,  SWT.EMBEDDED);
 		
 		 // Link the composite to the chart editor (need to be done before initializing the AWT delegation events)
-		 chartEditor.setComposite(composite);
+		//FIXME:
+		 //chartEditor.setChartComposite(composite);
 
 		 // FIXME: Initialize Swing/AWT events
 //		 SWTChartsComponentsProvider.initializeAWTDelegationListeners(chartEditor, composite.getPanel().getSVGCanvas());
@@ -116,7 +131,7 @@
 		}
 		else	{
 			 // Load the chart in composite
-			composite.loadChart(chartEditor.getEditorInput().getChartContainer());
+			//composite.loadChart(chartEditor.getEditorInput().getChartContainer());
 		}
 	 
 		return composite;
Index: tmp/org.txm.partition.rcp/src/org/txm/partition/rcp/editors/PartitionDimensionsEditor.java
===================================================================
--- tmp/org.txm.partition.rcp/src/org/txm/partition/rcp/editors/PartitionDimensionsEditor.java	(revision 0)
+++ tmp/org.txm.partition.rcp/src/org/txm/partition/rcp/editors/PartitionDimensionsEditor.java	(revision 528)
@@ -0,0 +1,56 @@
+/**
+ * 
+ */
+package org.txm.partition.rcp.editors;
+
+import org.eclipse.swt.SWT;
+import org.eclipse.swt.events.SelectionEvent;
+import org.eclipse.swt.events.SelectionListener;
+import org.eclipse.swt.widgets.Composite;
+import org.eclipse.swt.widgets.ToolItem;
+import org.txm.chartsengine.rcp.editors.ChartEditorPart;
+import org.txm.core.preferences.TXMPreferences;
+import org.txm.partition.core.preferences.PartitionDimensionsPreferences;
+import org.txm.partition.rcp.handlers.ComputePartitionDimensionsBarChart;
+import org.txm.partition.rcp.messages.PartitionUIMessages;
+import org.txm.rcp.IImageKeys;
+
+/**
+ * @author sjacquot
+ *
+ */
+public class PartitionDimensionsEditor extends ChartEditorPart {
+
+
+	
+	@Override
+	public void createPartControl(Composite parent) {
+
+		this.createComputingParametersArea = false;
+		
+		super.createPartControl(parent);
+
+		// extend the tool bar
+		new ToolItem(this.getToolBar(), SWT.SEPARATOR);
+		final ToolItem sortByPartSize = new ToolItem(this.getToolBar(), SWT.CHECK);
+		sortByPartSize.setImage(IImageKeys.getImage(ComputePartitionDimensionsBarChart.class, "icons/silk_sort_by_size.png"));
+		sortByPartSize.setToolTipText(PartitionUIMessages.PreferencesPage_DIMENSIONS_SORT_BY_PARTS_SIZE);
+		sortByPartSize.setSelection(this.getBooleanParameterValue(PartitionDimensionsPreferences.CHART_DIMENSIONS_SORTED_BY_SIZE));
+		
+		sortByPartSize.addSelectionListener(new SelectionListener() {
+			
+			@Override
+			public void widgetSelected(SelectionEvent e) {
+				TXMPreferences.putLocal(getResultData(), PartitionDimensionsPreferences.CHART_DIMENSIONS_SORTED_BY_SIZE, sortByPartSize.getSelection());
+				computeChart(true, false, true);
+			}
+			
+			@Override
+			public void widgetDefaultSelected(SelectionEvent e) {
+				// TODO Auto-generated method stub
+				
+			}
+		});
+		
+	}
+}

Index: tmp/org.txm.partition.rcp/src/org/txm/partition/rcp/handlers/ComputePartitionDimensionsBarChart.java
===================================================================
--- tmp/org.txm.partition.rcp/src/org/txm/partition/rcp/handlers/ComputePartitionDimensionsBarChart.java	(revision 527)
+++ tmp/org.txm.partition.rcp/src/org/txm/partition/rcp/handlers/ComputePartitionDimensionsBarChart.java	(revision 528)
@@ -29,17 +29,8 @@
 
 import org.eclipse.core.commands.ExecutionEvent;
 import org.eclipse.core.commands.ExecutionException;
-import org.eclipse.swt.SWT;
-import org.eclipse.swt.events.SelectionEvent;
-import org.eclipse.swt.events.SelectionListener;
-import org.eclipse.swt.widgets.ToolItem;
-import org.txm.chartsengine.rcp.SWTChartsComponentsProvider;
 import org.txm.chartsengine.rcp.editors.ChartEditorPart;
-import org.txm.core.preferences.TXMPreferences;
 import org.txm.partition.core.functions.PartitionDimensions;
-import org.txm.partition.core.preferences.PartitionDimensionsPreferences;
-import org.txm.partition.rcp.messages.PartitionUIMessages;
-import org.txm.rcp.IImageKeys;
 import org.txm.rcp.handlers.BaseAbstractHandler;
 import org.txm.rcp.views.corpora.CorporaView;
 import org.txm.searchengine.cqp.corpus.Partition;
@@ -96,42 +87,15 @@
 			partitionDimensions = (PartitionDimensions) selection;
 		}
 
-		final ChartEditorPart editor = SWTChartsComponentsProvider.getCurrent().openEditor(partitionDimensions, "Partition Dimensions Bar Chart"); //$NON-NLS-1$
+//		final ChartEditorPart editor = SWTChartsComponentsProvider.getCurrent().openEditor(partitionDimensions, "Partition Dimensions Bar Chart"); //$NON-NLS-1$
 		
+		final ChartEditorPart editor = ChartEditorPart.openEditor(partitionDimensions); //$NON-NLS-1$
+		
 		// FIXME: Pie chart tests
-//		final ChartEditorPart editor = SWTChartsComponentsProvider.getCurrent().openEditor(partitionDimensions, "Partition Dimensions Pie Chart");
+		//final ChartEditorPart editor2 = SWTChartsComponentsProvider.getCurrent().openEditor(partitionDimensions, "Partition Dimensions Pie Chart");
 
 		
-		// Contribute to the tool bar without extending ChartEditorPart
-		// FIXME: finally, would be better to create a PartitionDimensionEditor
-		if(!editor.wasAlreadyOpened())	{
-
 			
-			editor.refresh();
-			
-			new ToolItem(editor.getToolBar(), SWT.SEPARATOR);
-			
-			final ToolItem sortByPartSize = new ToolItem(editor.getToolBar(), SWT.CHECK);
-			sortByPartSize.setImage(IImageKeys.getImage(ComputePartitionDimensionsBarChart.class, "icons/silk_sort_by_size.png"));
-			sortByPartSize.setToolTipText(PartitionUIMessages.PreferencesPage_DIMENSIONS_SORT_BY_PARTS_SIZE);
-			sortByPartSize.setSelection(editor.getBooleanParameterValue(PartitionDimensionsPreferences.CHART_DIMENSIONS_SORTED_BY_SIZE));
-			
-			sortByPartSize.addSelectionListener(new SelectionListener() {
-				
-				@Override
-				public void widgetSelected(SelectionEvent e) {
-					TXMPreferences.putLocalBoolean(editor.getResultData(), PartitionDimensionsPreferences.CHART_DIMENSIONS_SORTED_BY_SIZE, sortByPartSize.getSelection());
-					editor.computeChart(true, false, true);
-				}
-				
-				@Override
-				public void widgetDefaultSelected(SelectionEvent e) {
-					// TODO Auto-generated method stub
-					
-				}
-			});
-		}
-			
 		return null;
 	}
 	
